filterinterface.h File Reference
`#include <memory>`
`#include "../../exportinmportconfig.h"`

Go to the source code of this file.

## Classes

class | pappso::FilterInterface
| generic interface to apply a filter on a trace More...
class | pappso::MassSpectrumFilterInterface
| generic interface to apply a filter on a MassSpectrum This is the same as FilterInterface, but some filter are only relevant if they are used on MassSpectrum using this interface means the filter can only be applied on MassSpectrum and not on Trace More...

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< FilterInterface > | pappso::FilterInterfaceSPtr
typedef std::shared_ptr< const FilterInterface > | pappso::FilterInterfaceCstSPtr